umbrello: tools/shared.h File Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
shared.h File Reference
`#include <QString>`
`#include <QStringList>`
`#include <QMap>`

Go to the source code of this file.

## Classes
class | POEntry

## Typedefs
typedef QMap< QString, POEntry > | POMap
typedef QMap< QString, QString > | TranslationMap

## Functions
QStringList | XMILanguagesAttributes ()
bool | extractAttributesFromXMI (const char *fileName, const QStringList &attributes, POMap &result)
QString | toGetTextString (const QString &message)
bool | fetchPoFile (const QString &fileName, TranslationMap &map)
bool | applyTranslationToXMIFile (const char *fileName, const QStringList &attributes, TranslationMap &translations)

## Typedef Documentation

## ◆ POMap

typedef QMap<QString, POEntry> POMap

## ◆ TranslationMap

typedef QMap<QString,QString> TranslationMap

## Function Documentation

## ◆ applyTranslationToXMIFile()

bool applyTranslationToXMIFile | ( | const char * | fileName,
|  | const QStringList & | attributes,
|  | TranslationMap & | translations )

## ◆ extractAttributesFromXMI()

bool extractAttributesFromXMI | ( | const char * | fileName,
|  | const QStringList & | attributes,
|  | POMap & | result )

Extract language related XML attributes from XMI file

Parameters

  fileName | file to extract attributes from
  attributes | List with attribute names to extract
  result | map with extracted results

Returns
  true successful extraction
  false extraction failure

## ◆ fetchPoFile()

bool fetchPoFile | ( | const QString & | fileName,
|  | TranslationMap & | map )

Fetch Pot file.

Parameters

  fileName | file to parse
  map | returned map with parsed items

Returns
  true parsed successfully
  false parse failure

## ◆ toGetTextString()

QString toGetTextString | ( | const QString & | message | ) |

## ◆ XMILanguagesAttributes()

QStringList XMILanguagesAttributes | ( |  | ) |

Return list of xmi file attributes containing language information.

Returns
  list of xmi element attributes